%define name	gnomint
%define version	1.1.0
%define release	%mkrel 1

%define __libtoolize /bin/true

Summary:	Graphical x509 Certification Authority management tool
Summary(de):	gnoMint ist für die einfache Erstellung und Verwaltung von Zertifizierungsstellen. 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Configuration/Other
License:	GPLv3+
URL:		http://gnomint.sourceforge.net/
Source:	        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gnutls-devel >= 2
BuildRequires:	libgnomeui2_0-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	sqlite3-devel 
BuildRequires:	intltool
BuildRequires:	readline-devel
BuildRequires:  termcap-devel
Requires(post):	GConf2
Requires(preun):GConf2

%description
gnoMint is a x509 Certification Authority management tool for
GTK/Gnome environments.

%description -l de
Es bietet ausgefallene Visualisierung aller Stücke von Informationen, die sich an eine Zertifizierungsstelle, wie x509 Zertifikate, CSRs und CRLs. gnoMint ist derzeit in der Lage, eine Zertifizierungsstelle, die Zertifikate emittiert, die in der Lage sind, in denen Personen oder Maschinen in VPNs (IPSec oder andere Protokolle), sichere HTTP-Kommunikation mit SSL / TLS, HTTP-Authentifizierung und Verschlüsselung Kommunikation über Web-Client-Zertifikate, und Zeichen oder Krypta E-Mail-Nachrichten. 

%prep
%setup -q


%build
sed -i -e 's|CFLAGS="-Wall -Werror -g "|true|' configure

%configure2_5x \
        --disable-schemas-install

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
  --remove-category=Application \
  --add-category=X-MandrivaLinux-System-Configuration-GNOME \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 gui/%{name}.png %{buildroot}%_liconsdir/%{name}.png
install -m 0644 gui/%{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 gui/%{name}.png %{buildroot}%_iconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 


%find_lang %{name}

%define schemas gnomint

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_mime_database 
%update_desktop_database 
%update_menus
%post_install_gconf_schemas %schemas


%preun
%preun_uninstall_gconf_schemas %schemas


%postun
%clean_mime_database 
%clean_desktop_database 
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS MAINTAINERS 
%doc ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-upgrade-db
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Nov 08 2009 slick50 <lxgator@gmail.com> 1.1.0-1pclos2010
- 1.1.0

* Thu Jun 04 2009 slick50 <lxgator@gmail.com> 1.0.0-1pclos2009
- initial build
